#!/bin/csh

#$Id: testA3.sh,v 1.2 2008/05/20 23:07:28 atulskulkarni Exp $

# Copyright (C) 2008
# Atul Kulkarni, University of Minnesota, Duluth
# kulka053@d.umn.edu
# Ted Pedersen, University of Minnesota, Duluth
# tpederse@d.umn.edu

#############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

##############################################################################

echo "Test A3 for weps2sval2.pl"
echo "running ../../weps2sval2.pl --input ../testdata/  --output A3out/ --verbose"

../../weps2sval2.pl --input ../testdata/  --output A3out/ --verbose >& test-A3.output

diff -w test-A3.output test-A3.reqd > var

if(-z var) then
        echo "Test Ok";
else
        echo "Test Error";
        echo "When tested against test-A3.reqd";
        cat var;
endif



/bin/rm -f var test-A3.output 
/bin/rm -rf A3out/  
